// App
// -----------------------------------------------------------------------------
import { TypeAssetGroup } from 'types/default';
import { GenericDataStore } from './GenericDataStore';
import { environment } from 'enviroments/enviroments';

export class AssetsGroupsStore extends GenericDataStore<TypeAssetGroup> {
  constructor() {
    super(environment.endPoints.assets.groups);
    this.override();
  }

  getId = (entity: TypeAssetGroup): number => entity.id;

  getName = (entity: TypeAssetGroup): string => entity.name;
}
